package com.zcloud.modules.djPersonLog.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.*;

/**
 *
 *
 * @author Mark
 * @since 1.0.0 2025-03-31
 */
@Data
@TableName("dj_person_log")
@EqualsAndHashCode(callSuper = false)
@AllArgsConstructor
@NoArgsConstructor
@ToString
public class DjPersonLogEntity {
    /**
     * 人员进出日志id
     */
    @TableId(value = "person_log_id",type = IdType.AUTO)
    @JsonProperty(value = "person_log_id")
	private String personLogId;
    /**
     * 进出状态(0 进入 1 离开)
     */
    @TableField(value = "entrystatus")
    @JsonProperty(value = "entrystatus")
	private Integer entrystatus;
    /**
     * 操作状态
     */
    @TableField(value = "opstatusStr")
    @JsonProperty(value = "opstatusStr")
	private String opstatusStr;
    /**
     * 进出状态字符串
     */
    @TableField(value = "entrystatusStr")
    @JsonProperty(value = "entrystatusStr")
	private String entrystatusStr;
    /**
     * 工号
     */
    @TableField(value = "empNo")
    @JsonProperty(value = "empNo")
	private Integer empNo;
    /**
     * 门禁id
     */
    @TableField(value = "accId")
    @JsonProperty(value = "accId")
	private Integer accId;
    /**
     * 人员姓名
     */
    @TableField(value = "username")
    @JsonProperty(value = "username")
	private String username;
    /**
     * 进出位置
     */
    @TableField(value = "bayonetname")
    @JsonProperty(value = "bayonetname")
	private String bayonetname;
    /**
     * 进出时间
     */
    @TableField(value = "chtime")
    @JsonProperty(value = "chtime")
	private String chtime;
    /**
     * 门禁名称
     */
    @TableField(value = "accessname")
    @JsonProperty(value = "accessname")
	private String accessname;

    @JsonProperty(value = "CORPINFO_ID")
    private String corpinfoId;
}
